// import { Component } from '@angular/core';
import { AlertController } from '@ionic/angular';

import { Component, OnInit } from '@angular/core';
import Swiper from 'swiper';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page implements OnInit {

  // constructor() {}
  
  constructor(private alertController: AlertController) {}

  handleImageClick(imageId: string) {
    // 根据不同的图片ID执行不同的交互逻辑
    switch (imageId) {
      case 'recentUpdateImage1':
        this.presentAlert('最近更新图片1被点击了！');
        break;
      case 'recentUpdateImage2':
        this.presentAlert('最近更新图片2被点击了！');
        break;
      case 'recentUpdateImage3':
        this.presentAlert('最近更新图片3被点击了！');
        break;
      case 'hotMoviesImage1':
        this.presentAlert('热门电影图片1被点击了！');
        break;
      case 'hotMoviesImage2':
        this.presentAlert('热门电影图片2被点击了！');
        break;
      case 'hotMoviesImage3':
        this.presentAlert('热门电影图片3被点击了！');
        break;
      default:
        // 默认情况
        break;
    }
  }

  async presentAlert(message: string) {
    const alert = await this.alertController.create({
      header: '提示',
      message: message,
      buttons: ['确定']
    });

    await alert.present();
  }

  ngOnInit() {
    const swiper = new Swiper('.swiper-container', {
      loop: true,
      pagination: {
        el: '.swiper-pagination',
        clickable: true,  
      },
      autoplay: {
        delay: 2000, // 设置轮播时间为2秒
      },
      speed: 1000, // 设置过渡速度为1000ms
    });
  }

}
